#
# spec file for package regionServiceClientConfigEC2
# this code base is under development
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigAzure
Version:        2.2.2
Release:        150000.3.25.1
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            https://gitlab.suse.de/public-cloud-team/regionServiceClientConfigAzure
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
# No IPv6 support in SLE 12 in Public Cloud
# Patch maintained in the build service only
Patch0:         noipv6.patch
Provides:       cloud-regionsrv-client-config
Provides:       regionServiceCertsAzure
Provides:       regionsrv-certs
Requires:       python3-azuremetadata >= 5.1.2
Recommends:     cloud-regionsrv-client-plugin-azure
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Provides:       regionServiceClientConfigSAPAzure = %{version}
Obsoletes:      regionServiceClientConfigSAPAzure < 1.0.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Microsoft Azure and
region server certificates

%prep
%setup -q
%if 0%{?suse_version} == 1315
%patch -P 0
rm usr/lib/regionService/certs/2603:1020:201:f::1be.pem
rm usr/lib/regionService/certs/2603:1030:20e:3::4c.pem
rm usr/lib/regionService/certs/2603:1040:2:3::3a.pem
rm usr/lib/regionService/certs/2603:1050:1:6::8.pem
rm usr/lib/regionService/certs/2a01:111:f100:3001::a83d:105f.pem
%endif

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /usr/lib/regionService
%dir /usr/lib/regionService/certs
/usr/lib/regionService/certs/23.100.36.229.pem
/usr/lib/regionService/certs/40.121.202.140.pem
/usr/lib/regionService/certs/52.187.53.250.pem
/usr/lib/regionService/certs/104.45.31.195.pem
/usr/lib/regionService/certs/191.237.254.253.pem
%if 0%{?suse_version} > 1315
/usr/lib/regionService/certs/2603:1020:201:f::1be.pem
/usr/lib/regionService/certs/2603:1030:20e:3::4c.pem
/usr/lib/regionService/certs/2603:1040:2:3::3a.pem
/usr/lib/regionService/certs/2603:1050:1:6::8.pem
/usr/lib/regionService/certs/2a01:111:f100:3001::a83d:105f.pem
%endif

%changelog
* Mon Dec 23 2024 jesus.bv@suse.com
- Update to version 2.2.2
  + Replacing certificate for rgnsrv-azure-southeastasia to get rid of weird chain cert
* Mon Dec 23 2024 jesus.bv@suse.com
- Update to version 2.2.1
  + New 4096 certificate for rgnsrv-azure-southeastasia
* Tue Jul 30 2024 rjschwei@suse.com
- Update to version 2.2.0 (jsc#PCT-360)
  + Add IPv6 certs to enable IPv6 access of the update infrastructure
  + Add noipv6.patch to patch out IPv6 on SLE 12, no IPv6 support in SLE 12
    in the Public Cloud
* Thu May  9 2024 jesus.bv@suse.com
- Update to version 2.1.0 (bsc#1217537)
  + Replace certs 23.100.36.229.pem and 40.121.202.140.pem (4096 length):
    rgnsrv-azure-westus -> 23.100.36.229.pem expires 9 years
    rgnsrv-azure-eastus  -> 40.121.202.140.pem expires 10 years
* Tue Nov 28 2023 jesus.bv@suse.com
- Update to version 2.0.1 (bsc#1217537)
  + Replacing 104.45.31.195.pem 191.237.254.253.pem certs
    expiring in 8 years and new length of 4096
    These certs will replace the current certs that
    expire soon
* Wed May 18 2022 rjschwei@suse.com
- Update to version 2.0.0 (bsc#1199668)
  + Move the certs to /usr from /var to accomodate ro filesystem of
    SLE-Micro
  + Fix source url in spec file
* Thu Aug  6 2020 rjschwei@suse.com
- Update to version 1.0.5 (bsc#1174791, bsc#1174937)
  + New configuration to switch to https only outgoing traffic
  + Use latest API to query the metadata server and send additional data
* Thu May  7 2020 rjschwei@suse.com
- Update to version 1.0.0 (bsc#1171465, bsc#1171465)
  + Merge region server setup for SLES and SLES For SAP
* Mon Apr 27 2020 ikapelyukhin@suse.com
- Update to version 0.0.6
  + Report subscriptionId during registration (bsc#1170605, bsc#1170606)
* Tue Mar 31 2020 ikapelyukhin@suse.com
- Update to version 0.0.5
  + Don't specify root device name explicitly (bsc#1158698, bsc#1158707)
* Wed Feb 21 2018 rjschwei@suse.com
- Update to version 0.0.4
  + Use region hint to get SMT data in pre for IPv6 support (bsc#1029162)
* Thu Feb 12 2015 rjschwei@suse.com
- Update to version 0.0.3
  + Use the new command for the meta data (azuremetadata)
  + Fix the package dependencies, requires azuremetadata
* Tue Jan  6 2015 rschweikert@suse.com
- Include in SLE 12 (FATE 318302, bnc#911856)
* Thu Oct 16 2014 ms@suse.com
- regionServiceClientConfigAzure
  + update the configuration to match the new command line arguments
